package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 宝珠订单信息
 *
 * @author zhuxiaofeng
 */
public class OrderBaoZhu {

    /**
	 * 主键
	 */
	private Long id;
	private String orderNo;
	private String type;
	private String statusTxt;
	private String payStatusTxt;
	private Date orderAt;
	private Date payAt;
	private String sourceTxt;
	private String orderTypeTxt;
	private BigDecimal totalAmount;
	private BigDecimal lostAmount;
	private BigDecimal shopDiscountAmount;
	private BigDecimal platformDiscountAmount;
	private BigDecimal payAmount;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getStatusTxt() {
		return statusTxt;
	}

	public void setStatusTxt(String statusTxt) {
		this.statusTxt = statusTxt;
	}

	public String getPayStatusTxt() {
		return payStatusTxt;
	}

	public void setPayStatusTxt(String payStatusTxt) {
		this.payStatusTxt = payStatusTxt;
	}

	public Date getOrderAt() {
		return orderAt;
	}

	public void setOrderAt(Date orderAt) {
		this.orderAt = orderAt;
	}

	public Date getPayAt() {
		return payAt;
	}

	public void setPayAt(Date payAt) {
		this.payAt = payAt;
	}

	public String getSourceTxt() {
		return sourceTxt;
	}

	public void setSourceTxt(String sourceTxt) {
		this.sourceTxt = sourceTxt;
	}

	public String getOrderTypeTxt() {
		return orderTypeTxt;
	}

	public void setOrderTypeTxt(String orderTypeTxt) {
		this.orderTypeTxt = orderTypeTxt;
	}

	public BigDecimal getTotalAmount() {
		return totalAmount;
	}

	public void setTotalAmount(BigDecimal totalAmount) {
		this.totalAmount = totalAmount;
	}

	public BigDecimal getLostAmount() {
		return lostAmount;
	}

	public void setLostAmount(BigDecimal lostAmount) {
		this.lostAmount = lostAmount;
	}

	public BigDecimal getShopDiscountAmount() {
		return shopDiscountAmount;
	}

	public void setShopDiscountAmount(BigDecimal shopDiscountAmount) {
		this.shopDiscountAmount = shopDiscountAmount;
	}

	public BigDecimal getPlatformDiscountAmount() {
		return platformDiscountAmount;
	}

	public void setPlatformDiscountAmount(BigDecimal platformDiscountAmount) {
		this.platformDiscountAmount = platformDiscountAmount;
	}

	public BigDecimal getPayAmount() {
		return payAmount;
	}

	public void setPayAmount(BigDecimal payAmount) {
		this.payAmount = payAmount;
	}

	@Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
